Brivio API reference
Costs

Create a monthly cost budget in one currency; a company of another org is 404. Honours Idempotency-Key. (scope: costs:write)

POST
/costs/budgets

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Request Body

application/json
  1. body
name*string
Length1 <= length <= 120
company_id?|
Formatuuid
scope?string
Default"org"
Value in"org""company""space""provider""service""tag"
scope_value?|

Required unless scope is org. Tag scope: key=value.

Lengthlength <= 200
currency*string

ISO 4217

Match^[A-Z]{3}$
limit_minor*integer
Range1 <= value
soft_threshold_pcts?array<>
Items1 <= items <= 6
enabled?boolean
Defaulttrue

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/costs/budgets" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "currency": "string",    "limit_minor": 1  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"  },  "error": null}